%define pypi_name	urwid

Summary:	Full-featured Python console user interface library
Name: 		python-%{pypi_name}
Version: 	2.1.2
Release: 	%mkrel 4
License:	LGPL
Group: 		Development/Python
Url: 		https://pypi.python.org/pypi/urwid
Source0: 	%{pypi_source}
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
Urwid is a console user interface library. It includes many features
useful for text console application developers including :

* Applications resize quickly and smoothly
* Automatic, programmable text alignment and wrapping
* Simple markup for setting text attributes within blocks of text
* Powerful list box with programmable content for scrolling all
  widget types
* Your choice of event loops: Twisted, Glib or built-in
  select-based loop
* Pre-built widgets include edit boxes, buttons, check
  boxes and radio buttons
* Display pypi_names include raw, curses, and
  experimental LCD and web displays
* Support for UTF-8, simple 8-bit and CJK encodings
* 256 and 88 color mode support
* Python 3.2 support

%package -n python3-urwid
Summary:	%{summary}
Group: 		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-urwid
Urwid is a Python library for making text console applications.  It has
many features including fluid interface resizing, support for UTF-8 and
CJK encodings, standard and custom text layout modes, simple markup for
setting text attributes, and a powerful, dynamic list box that handles a
mix of widget types.  It is flexible, modular, and leaves the developer in
control.

This package contains the urwid pypi_name built for use with python3.

%prep
%setup -q -n %{pypi_name}-%{version}
find urwid -type f -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \;
find urwid -type f -name "*.py" -exec chmod 644 {} \;

%build
%py3_build

%install
%py3_install

%files -n python3-urwid
%doc COPYING README.rst examples docs
%{python3_sitearch}/urwid
%{python3_sitearch}/urwid-%{version}*.egg-info



%changelog
* Sat Mar 19 2022 umeabot <umeabot> 2.1.2-4.mga9
+ Revision: 1799211
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 2.1.2-3.mga9
+ Revision: 1781277
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 2.1.2-2.mga9
+ Revision: 1708502
- rebuild for python 3.9

* Sat Nov 07 2020 guillomovitch <guillomovitch> 2.1.2-1.mga8
+ Revision: 1643219
- new version 2.1.2

* Sat Sep 05 2020 guillomovitch <guillomovitch> 2.1.1-1.mga8
+ Revision: 1622514
- new version 2.1.1

* Sat Apr 04 2020 daviddavid <daviddavid> 2.1.0-1.mga8
+ Revision: 1564251
- new version: 2.1.0

* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-5.mga8
+ Revision: 1532603
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.0.1-4.mga8
+ Revision: 1442519
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 2.0.1-3.mga7
+ Revision: 1351484
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1300615
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 2.0.1-1.mga7
+ Revision: 1222229
- Update to version 2.0.1
- Rename python-urwid to python2-urwid
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 1.3.1-3.mga7
+ Revision: 1135679
- Rebuild for python 3.6

* Tue Feb 16 2016 umeabot <umeabot> 1.3.1-2.mga6
+ Revision: 962469
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 1.3.1-1.mga6
+ Revision: 898724
- update to 1.3.1

* Sat Oct 10 2015 tv <tv> 1.2.1-5.mga6
+ Revision: 888874
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 741352
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.1-3.mga5
+ Revision: 729958
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-2.mga5
+ Revision: 688405
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Mon Jun 23 2014 philippem <philippem> 1.2.1-1.mga5
+ Revision: 639027
- update to 1.2.1

* Sat May 31 2014 pterjan <pterjan> 1.1.1-6.mga5
+ Revision: 629082
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 544516
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1.1-4.mga4
+ Revision: 499699
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 16 2013 philippem <philippem> 1.1.1-3.mga4
+ Revision: 466927
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 379663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 blino <blino> 1.1.1-1.mga3
+ Revision: 337656
- 1.1.1

* Wed Nov 30 2011 philippem <philippem> 1.0.1-1.mga2
+ Revision: 174514
- Update to 1.0.1

* Mon Oct 03 2011 lebedov <lebedov> 1.0.0-1.mga2
+ Revision: 151353
- Update to 1.0.0.

* Fri Apr 22 2011 ahmad <ahmad> 0.9.9.1-3.mga1
+ Revision: 89666
- imported package python-urwid


* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.9.9.1-3mdv2011.0
+ Revision: 593190
- rebuild for py2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Mon Jan 25 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.9.1-1mdv2010.1
+ Revision: 496353
- update to new version 0.9.9.1

* Mon Dec 07 2009 Lev Givon <lev@mandriva.org> 0.9.9-1mdv2010.1
+ Revision: 474583
- Update to 0.9.9.

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.8.4-2mdv2010.0
+ Revision: 442530
- rebuild

* Tue Mar 24 2009 Michael Scherer <misc@mandriva.org> 0.9.8.4-1mdv2009.1
+ Revision: 360846
- update to latest release for python 2.6 support

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.9.8.3-1mdv2009.0
+ Revision: 280568
- New version

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 0.9.8-2mdv2009.0
+ Revision: 230904
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.9.8-1mdv2008.0
+ Revision: 19944
- upgrade to 0.9.8


* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.7.1-2mdv2007.0
+ Revision: 96933
- Rebuild against New python
- Remove redundant buildrequires

* Mon Oct 30 2006 Michael Scherer <misc@mandriva.org> 0.9.7.1-1mdv2007.1
+ Revision: 73829
- Fix again BuildRequires
- fix BuildRequires
- update to 0.9.7.1
- update to 0.9.7
- Import python-urwid

* Thu Aug 24 2006 Michael Scherer <misc@mandriva.org> 0.9.6-1mdv2007.0
- First package

